import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const CommunicationOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.CommunicationOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationOrderByRelationAggregateInput>;
export const CommunicationOrderByRelationAggregateInputObjectZodSchema = makeSchema();
